<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.msgpush.module.push.dal.mysql.message.MessageRecordMapper">


    <update id="updateStatusAndErrorInfo">
        UPDATE push_message_record
        SET status         = #{status},
            error_code     = #{errorCode},
            error_msg      = #{errorMsg},
            last_retry_time= #{lastRetryTime},
            next_retry_time= #{nextRetryTime}
        WHERE id = #{id}
    </update>
</mapper>